# FoundationClasses
TKernel
OSD

# OSD_Real2String Class Reference

Convertion of CString to Real and reciprocally
.

`#include <OSD_Real2String.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Real2String ()
Standard_EXPORT Standard_Boolean | RealToCString (const Standard_Real aReal, Standard_PCharacter &aString) const
| Converts aReal into aCstring in exponential format with maximum 17 digits. The size of the destination string must be sufficient (at least 23 characters) The decimal separator account for locale setting, but neither thousand separator nor grouping of digits in the output string. .
Standard_EXPORT Standard_Boolean | CStringToReal (const Standard_CString aString, Standard_Real &aReal)
| Converts aCstring representing a real. The first occurence of the decimal separator (comma or period) defines it values for further readings. Neither thousand separator nor grouping of digits are allowed in the CString .

## Private Attributes

Standard_Integer | myReadDecimalPoint
Standard_Integer | myLocalDecimalPoint

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Real2String::OSD_Real2String | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean OSD_Real2String::CStringToReal | ( | const Standard_CString | aString,
|  | Standard_Real & | aReal
| ) |

void OSD_Real2String::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Real2String::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Real2String::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean OSD_Real2String::RealToCString | ( | const Standard_Real | aReal,
|  | Standard_PCharacter & | aString
| ) | const

## Field Documentation

Standard_Integer OSD_Real2String::myLocalDecimalPoint `[private]`

Standard_Integer OSD_Real2String::myReadDecimalPoint `[private]`

The documentation for this class was generated from the following file:

- OSD_Real2String.hxx